.TH pencode 1 "January 2024" "pencode-0.4" "complex payload encoder"
.SH NAME
pencode - complex payload encoder
.RS
.PP
.SH USAGE:
\fBpencode\fP FUNC1 FUNC2 FUNC3\.\.\.
.PP
pencode reads input from stdin by default, which is typically piped from another process.
.SH OPTIONS:
\fB-input\fP reads input from a file, line by line.
.SH ENCODERS
.TP
.B
b64encode
- Base64 encoder
.TP
.B
hexencode
- Hex string encoder
.TP
.B
htmlescape
- HTML escape
.TP
.B
jsonescape
- JSON escape
.TP
.B
unicodeencodeall
- Unicode escape string encode (all characters)
.TP
.B
urlencode
- URL encode reserved characters
.TP
.B
urlencodeall
- URL encode all characters
.TP
.B
utf16
- UTF-16 encoder (Little Endian)
.TP
.B
utf16be
- UTF-16 encoder (Big Endian)
.TP
.B
xmlescape
- XML escape
.SH DECODERS
.TP
.B
b64decode
- Base64 decoder
.TP
.B
hexdecode
- Hex string decoder
.TP
.B
htmlunescape
- HTML unescape
.TP
.B
jsonunescape
- JSON unescape
.TP
.B
unicodedecode
- Unicode escape string decode
.TP
.B
urldecode
- URL decode
.TP
.B
xmlunescape
- XML unescape
.SH HASHES
.TP
.B
md5
- MD5 sum
.TP
.B
sha1
- SHA1 checksum
.TP
.B
sha224
- SHA224 checksum
.TP
.B
sha256
- SHA256 checksum
.TP
.B
sha384
- SHA384 checksum
.TP
.B
sha512
- SHA512 checksum
.SH OTHER
.TP
.B
filename.tmpl
- Replaces string #PAYLOAD# in content of a file that has .tmpl extension.
.TP
.B
lower
- Convert string to lowercase
.TP
.B
upper
- Convert string to uppercase
